Create Export Job
curl --request POST \
--url https://api.example.com/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": null,
"format": "csv",
"options": null,
"report_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/exports"
payload = {
"filters": None,
"format": "csv",
"options": None,
"report_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: null, format: 'csv', options: null, report_id: '<string>'})
};
fetch('https://api.example.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}exports
Create Export Job
Create an async export job.
Returns 202 Accepted with the job object. The job transitions from ‘queued’ → ‘running’ → ‘succeeded’ | ‘failed’.
POST
/
v1
/
exports
Create Export Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Create Export Job V1 Exports Post · object.
⌘I